commit 7026df8d25b9ef5fc6199ff3bf091cede2a58da5
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Sep 18 02:18:17 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 7f5ddeedd3d..5603d907b59 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,9 @@
+2021-09-17  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR rtl-optimization/102306
+	* combine.c (try_combine): Abort the combination if we are about to
+	duplicate volatile references.
+
 2021-09-16  Daniel Cederman  <cederman@gaisler.com>
 
 	* config/sparc/sparc-opts.h (enum sparc_processor_type): Add LEON5
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 62910e59a28..0e68b89b8a8 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210917
+20210918
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index fe7642e880e..c24b22609b2 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2021-09-17  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gcc.target/sparc/20210917-1.c: New test.
+
 2021-09-16  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

